//
//***************************************************************************
// Name    : userUSBClock.bas
// Author  : Jerry Messina
// Date    : 1/21/2015
// Version : 1.0.0
//         : - user defined USB clock init
//***************************************************************************
//
module userUsbClock

//
// to use this routine, add your custom clock code to the follow routine:
//
//      public sub userUSBClockInit()
//          << add your clock code here >>
//      end sub
//
// and set the filename option in your main project file
//  ie #option USER_USB_CLOCK_INIT = "userUsbClock.bas"
//

// let the user know we're overriding the default clock init routine
#if isoption(SHOW_USB_BUILD_MSGS) and (SHOW_USB_BUILD_MSGS = true)
  #warning "using user USBClockInit()"
#endif

public sub userUSBClockInit()
    // << add your uC specific clock init code here >>

    // some devices require a startup delay
    // adjust this as appropriate
    delayms(10)
end sub

end module
